Subject: Re: I don't want the .git directory next to my code.

From: Mike <[email-masked]>
Date: Wed, 16 Jan 2008 01:00:00 -0500

Dan McGee wrote:
> On 01/15/2008 09:27 PM, Mike wrote:
>> How do I make the repository dir live somewhere else, the hell away from
>> my code? Thanks
> 
> mv .git <location to move to>
> ln -s <location moved to> .git
> 
> Did you try this before you sent your email?

No, good idea. But it didn't work.  When I git commit -a, I get "fatal: 
Not a git repository"

(And also even if that worked, it wouldn't work on an NTFS partiton, 
right...)